Favicon

You are here: Home > API Reference > Smart Attributes > Retrieve a paginated list of available smart attributes

GET /organizations/:organizationId/smart-attributes/

Required Permission: mdm.global.smartAttribute.list

Returns a paginated collection of smart attributes

GET
/v1/organizations/:organizationId/smart-attributes/
Copy to clipboard

Retrieve a paginated list of available smart attributes

Required Permission: mdm.global.smartAttribute.list

Returns a paginated collection of smart attributes

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
search string
optional
≤ 256 characters
name string
optional
≤ 256 characters
description string
optional
≤ 256 characters
inputType string
optional
constantenummanualselectorscript
outputType string
optional
stringnumberbooleandate
source string
optional
ituserdeviceconstant
segmentId number
optional
expandTo string
optional
ancestorschildren

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Match pattern: ^[a-fA-F0-9]{24}$
segmentId number optional
name string required
≤ 256 characters
description string optional
≤ 500 characters
output object required
type string required
string number boolean date
input object required
type string required
script
value object required
admDevice object optional
aosDevice object optional
emmDevice object optional
winDevice object optional
source string required
device
field object optional
label string optional
≤ 256 characters
description string optional
≤ 500 characters
placeholder string optional
≤ 256 characters
loopTime number required
createdAt string required
updatedAt string required
version number optional
counts object optional
android object required
smartAttributeAssignments integer required
≥ 0 · ≤ 9007199254740991
smartAttributeAssignmentsEnforced integer required
≥ 0 · ≤ 9007199254740991
apple object required
smartAttributeAssignments integer required
≥ 0 · ≤ 9007199254740991
smartAttributeAssignmentsEnforced integer required
≥ 0 · ≤ 9007199254740991
windows object required
smartAttributeAssignments integer required
≥ 0 · ≤ 9007199254740991
smartAttributeAssignmentsEnforced integer required
≥ 0 · ≤ 9007199254740991
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organizationId": "string",
                "segmentId": 0,
                "name": "string",
                "description": "string",
                "output": {
                    "type": "string"
                },
                "input": {
                    "type": "constant",
                    "value": {
                        "admDevice": {
                            "value": "string"
                        },
                        "aosDevice": {
                            "value": "string"
                        },
                        "emmDevice": {
                            "value": "string"
                        },
                        "winDevice": {
                            "value": "string"
                        }
                    },
                    "source": "constant"
                },
                "createdAt": "string",
                "updatedAt": "string",
                "version": 0,
                "counts": {
                    "android": {
                        "smartAttributeAssignments": 0,
                        "smartAttributeAssignmentsEnforced": 0
                    },
                    "apple": {
                        "smartAttributeAssignments": 0,
                        "smartAttributeAssignmentsEnforced": 0
                    },
                    "windows": {
                        "smartAttributeAssignments": 0,
                        "smartAttributeAssignmentsEnforced": 0
                    }
                }
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}